#ifndef CAMERAH
#define CAMERAH

#include "Vector.h"

class Vector;

class Camera {
public:
	Camera();
	Camera(Vector & eye, Vector & look, Vector & up);
	virtual ~Camera(void);
	Vector eye;
	Vector center();
	Vector up;
	Vector look;
	/*
	Camera rotateAroundOriginX(GLfloat theta);
	Camera rotateAroundOriginY(GLfloat theta);
	Camera rotateAroundOriginZ(GLfloat theta);
	*/
	Camera rotateX(GLfloat theta);
	Camera rotateY(GLfloat theta);
	Camera rotateZ(GLfloat theta);
	
	Camera translate(GLfloat x, GLfloat y, GLfloat z);
	Camera translate(const Vector & v);
};

#endif
