#ifndef VECTOR2DH
#define VECTOR2DH

//#include <stdlib.h>
#include <iostream>

#include <GL/glut.h>
#include <GL/gl.h>
#include <GL/glu.h>

using namespace std;

class Vector2D
{
public:
	friend ostream & operator<< (ostream & os, const Vector2D & v);
	Vector2D();
	Vector2D(GLfloat x, GLfloat z);
	virtual ~Vector2D();

	
	GLfloat x,z;
};

inline ostream& operator<< (ostream& os, const Vector2D& v) {
	os << '<' <<  v.x << ", " << v.z << '>';
	return os;
}

#endif